GCC Building Issue

Discuss the development of software, tools, libraries and anything else that helps make ps2dev happen.

Moderators: cheriff, Herben

User avatar
evilo
Posts: 230
Joined: Thu Apr 22, 2004 8:40 pm
Contact:

GCC Building Issue

Post by evilo »

HI all,

just got this error while installing the toolchain with the new beta script :
/cygdrive/d/cygwin/home/install/ps2/newtoolchain/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3/include/bits/locale_facets.tcc: In
member function `_InIter std::money_get<_CharT, _InIter>::do_get(_InIter,
_InIter, bool, std::ios_base&, std::_Ios_Iostate&, std::basic_string<_CharT,
std::char_traits<_CharT>, std::allocator<_CharT> >&) const [with _CharT =
char, _InIter = std::istreambuf_iterator<char, std::char_traits<char> >]':
../../../../libstdc++-v3/src/locale-inst.cc:47: instantiated from here
/cygdrive/d/cygwin/home/install/ps2/newtoolchain/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3/include/bits/locale_facets.tcc:1167: Internal
compiler error in schedule_block, at haifa-sched.c:1714
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
make[3]: *** [locale-inst.lo] Error 1
make[3]: Leaving directory `/cygdrive/d/cygwin/home/install/ps2/newtoolchain/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/cygdrive/d/cygwin/home/install/ps2/newtoolchain/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/cygdrive/d/cygwin/home/install/ps2/newtoolchain/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3'
make: *** [all-target-libstdc++-v3] Error 2
my env is Cygwin under XP ...

thanks in advance...
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

Im getting the same errors as well.....Im running it on Cygwin with a Windows 2000 machine.
BraveDog
Posts: 29
Joined: Thu Dec 30, 2004 1:16 am
Location: Cleveland

Post by BraveDog »

evilo,
It seems to be related to some new cygwin packages that are on the "Curr" catagory or (recommended list).
Oobles helped me out by posting what he is using.
I downgraded the following packages:
* cygwin : from 1.5.19-4 to 1.5.18-1
* coreutils : from 5.93-3 to 5.3.0-9
* findutils: from 4.2.27-1 to 4.3.25-2
* sed : from 4.1.5-1 to 4.1.4-1

This worked for me. Not sure what the long term fix is.
ooPo
Site Admin
Posts: 2023
Joined: Sat Jan 17, 2004 9:56 am
Location: Canada
Contact:

Post by ooPo »

Wow, an actual solution to the haifa-sched.c problem?

Perhaps sending a bug report on to Cygwin could help.
User avatar
evilo
Posts: 230
Joined: Thu Apr 22, 2004 8:40 pm
Contact:

Post by evilo »

great, this is what I wanted to do, downgrade my cygwin install to get the same configuration/version I have on my other PC (working one).

It's currently patching/building the whole stuff, so I let you know once finished.
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

How do you downgrade cygwin?? can you just use the setup again or do you have to find the packages elsewhere?
BraveDog
Posts: 29
Joined: Thu Dec 30, 2004 1:16 am
Location: Cleveland

Post by BraveDog »

You use the setup program just like you are about to install a new package. Then at the point where you 'Select Packages'. Click the 'Keep' catagory (this will stop cygwin from upgrading packages to the default 'Curr'. Then expand 'Base' and look for the packages named above. Click the New column and change it from 'Keep' untill you see the desired version. Once you got them all set click Next. Some packages require a certain version of another package so it is possible we may need to tweek other versions, but so far I haven't had any problems.
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

@Evilo: did you have any luck? I downgraded the packages suggested and it still craps out at the same spot.
User avatar
evilo
Posts: 230
Joined: Thu Apr 22, 2004 8:40 pm
Contact:

Post by evilo »

yeah.. unfortunately same stuff...
bravedog, are you sure you didn't changed something else ?

i tried randomly some other packages but without success....

anyway tomorrow I'll bring back my laptop to compare with my working install... package by package, version by version...

I keep you informed if I make any progress
BraveDog
Posts: 29
Joined: Thu Dec 30, 2004 1:16 am
Location: Cleveland

Post by BraveDog »

Here is most of the info from 'cygcheck -svr'.
At the time I posted before I had not yet completed the toolchain build, but it finished just fine for me.
I run ./toolchain.pl PS2, so I am not building the PSP stuff.
Hopefully we can get this figured out. Mine is working great for me.

Code: Select all

Cygwin Configuration Diagnostics
Current System Time&#58; Tue Feb 07 17&#58;41&#58;26 2006

Windows XP Professional Ver 5.1 Build 2600 Service Pack 1

Path&#58;	C&#58;\cygwin\usr\local\bin
	C&#58;\cygwin\bin
	C&#58;\cygwin\bin
	C&#58;\cygwin\usr\X11R6\bin
	c&#58;\WINDOWS\system32
	c&#58;\WINDOWS
	c&#58;\WINDOWS\System32\Wbem
	C&#58;\cygwin\usr\local\ps2dev\bin
	C&#58;\cygwin\usr\local\ps2dev\ee\bin
	C&#58;\cygwin\usr\local\ps2dev\iop\bin
	C&#58;\cygwin\usr\local\ps2dev\dvp\bin
	C&#58;\cygwin\usr\local\ps2dev\ps2sdk\bin

Found&#58; C&#58;\cygwin\bin\awk.exe
Found&#58; C&#58;\cygwin\bin\bash.exe
Found&#58; C&#58;\cygwin\bin\cat.exe
Found&#58; C&#58;\cygwin\bin\cp.exe
Found&#58; C&#58;\cygwin\bin\cpp.exe
Found&#58; C&#58;\cygwin\bin\find.exe
Found&#58; C&#58;\cygwin\bin\gcc.exe
Not Found&#58; gdb
Found&#58; C&#58;\cygwin\bin\grep.exe
Found&#58; C&#58;\cygwin\bin\ld.exe
Found&#58; C&#58;\cygwin\bin\ls.exe
Found&#58; C&#58;\cygwin\bin\make.exe
Found&#58; C&#58;\cygwin\bin\mv.exe
Found&#58; C&#58;\cygwin\bin\rm.exe
Found&#58; C&#58;\cygwin\bin\sed.exe
Found&#58; C&#58;\cygwin\bin\sh.exe
Found&#58; C&#58;\cygwin\bin\tar.exe

    Cygwin DLL version info&#58;
        DLL version&#58; 1.5.18
        DLL epoch&#58; 19
        DLL bad signal mask&#58; 19005
        DLL old termios&#58; 5
        DLL malloc env&#58; 28
        API major&#58; 0
        API minor&#58; 132
        Shared data&#58; 4
        DLL identifier&#58; cygwin1
        Mount registry&#58; 2
        Cygnus registry name&#58; Cygnus Solutions
        Cygwin registry name&#58; Cygwin
        Program options name&#58; Program Options
        Cygwin mount registry name&#58; mounts v2
        Cygdrive flags&#58; cygdrive flags
        Cygdrive prefix&#58; cygdrive prefix
        Cygdrive default prefix&#58; 
        Build date&#58; Sat Jul 2 20&#58;30&#58;04 EDT 2005
        Shared id&#58; cygwin1S4

Cygwin Package Information
Package              Version
_update-info-dir     00353-1
alternatives         1.3.20a-2
ash                  20040127-3
autoconf2.5          2.59-2
base-files           3.7-1
base-passwd          2.2-1
bash                 3.0-14
binutils             20050610-1
bzip2                1.0.3-1
coreutils            5.3.0-9
crypt                1.1-1
cygrunsrv            1.12-1
cygutils             1.2.9-1
cygwin               1.5.18-1
cygwin-doc           1.4-3
diffutils            2.8.7-1
editrights           1.01-1
expat                1.95.8-1
findutils            4.2.25-2
fontconfig           2.2.2-1
freetype2            2.1.9-1
gawk                 3.1.5-2
gcc-core             3.4.4-1
gcc-g++              3.4.4-1
gcc-mingw-core       20050522-1
gcc-mingw-g++        20050522-1
gdbm                 1.8.3-7
gettext              0.14.5-1
grep                 2.5.1a-2
groff                1.18.1-2
gzip                 1.3.5-1
less                 381-1
libapr0              0.9.7-1
libaprutil0          0.9.7-1
libbz2_1             1.0.3-1
libcharset1          1.9.2-2
libdb4.2             4.2.52-1
libdb4.3             4.3.28-1
libfontconfig1       2.2.2-1
libfreetype26        2.1.9-1
libgdbm              1.8.0-5
libgdbm-devel        1.8.3-7
libgdbm3             1.8.3-3
libgdbm4             1.8.3-7
libiconv             1.9.2-2
libiconv2            1.9.2-2
libintl              0.10.38-3
libintl1             0.10.40-1
libintl2             0.12.1-3
libintl3             0.14.5-1
libncurses5          5.2-1
libncurses6          5.2-8
libncurses7          5.3-4
libncurses8          5.4-4
libneon24            0.24.7-2
libpcre0             6.3-1
libpopt0             1.6.4-4
libreadline4         4.1-2
libreadline5         4.3-5
libreadline6         5.1-2
libXft               2.1.6-1
libXft1              1.0.0-1
libXft2              2.1.6-1
libxml2              2.6.22-1
login                1.9-7
m4                   1.4.4-1
make                 3.80-1
man                  1.5p-1
mingw-runtime        3.9-2
minires              1.00-1
mktemp               1.5-3
ncurses              5.4-4
openssh              4.3p1-2
openssl              0.9.8a-1
openssl097           0.9.7i-1
patch                2.5.8-8
pcre                 6.3-1
pcre-devel           6.3-1
pcre-doc             6.3-1
perl                 5.8.7-5
run                  1.1.6-1
rxvt                 2.7.10-6
sed                  4.1.4-1
subversion           1.2.3-1
tar                  1.15.1-3
termcap              20050421-1
terminfo             5.4_20041009-1
texinfo              4.8-1
vim                  6.4-4
w32api               3.6-1
wget                 1.10.2-1
which                1.7-1
X-startup-scripts    1.0.11-1
xorg-x11-base        6.8.2.0-1
xorg-x11-bin         6.8.2.0-1
xorg-x11-bin-dlls    6.8.2.0-1
xorg-x11-bin-lndir   6.8.2.0-1
xorg-x11-etc         6.8.2.0-1
xorg-x11-fenc        6.8.1.0-2
xorg-x11-fnts        6.8.1.0-3
xorg-x11-libs-data   6.8.2.0-1
xorg-x11-xwin        6.8.2.0-4
xterm                202-1
zlib                 1.2.3-1
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

I have everything set up on my computer at work, but tomorrow I will compare to your setup and see what might be different....I will let you know what i find out.
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

Here is the packages I have currently installed: There is a few difference but Im not sure if they are ones that will keep this from working.

Package Version
_update-info-dir 00353-1
alternatives 1.3.20a-1
ash 20040127-1
base-files 3.6-1
base-passwd 2.2-1
bash 3.0-14
binutils 20050608-2
bzip2 1.0.2-6
coreutils 5.3.0-9
crypt 1.1-1
cygutils 1.2.8-1
cygwin 1.5.19-4
cygwin-doc 1.4-2
diffutils 2.8.7-1
editrights 1.01-1
expat 1.95.7-1
findutils 4.2.25-2
gawk 3.1.4-3
gcc 3.3.3-3
gcc-core 3.3.3-3
gcc-g++ 3.3.3-3
gcc-mingw-core 20040810-1
gcc-mingw-g++ 20040810-1
gdbm 1.8.3-3
grep 2.5.1a-1
groff 1.17.2-1
gzip 1.3.3-4
less 378-1
libapr0 0.9.6-1
libaprutil0 0.9.6-1
libbz2_1 1.0.2-6
libcharset1 1.9.2-1
libdb4.2 4.2.52-1
libdb4.3 4.3.28-1
libgdbm 1.8.0-5
libgdbm-devel 1.8.3-3
libgdbm3 1.8.3-1
libgdbm4 1.8.3-7
libiconv 1.9.2-1
libiconv2 1.9.2-2
libintl 0.10.38-3
libintl1 0.10.40-1
libintl2 0.12.1-3
libintl3 0.14.5-1
libncurses5 5.2-1
libncurses6 5.2-8
libncurses7 5.3-4
libncurses8 5.4-4
libneon24 0.24.7-1
libpcre0 4.5-1
libpopt0 1.6.4-4
libreadline4 4.1-2
libreadline5 4.3-5
libreadline6 5.1-2
libxml2 2.6.20-3
login 1.9-5
make 3.79.1-7
man 1.5p-1
mingw-runtime 3.9-1
mktemp 1.5-3
ncurses 5.4-2
openssl 0.9.8-2
openssl097 0.9.7g-1
patch 2.5.8-3
perl 5.8.6-4
python 2.4-1
run 1.1.5-2
sed 4.1.4-1
subversion 1.2.0-1
subversion-perl 1.2.3-1
subversion-python 1.2.0-1
tar 1.13.25-7
tcltk 20030901-1
termcap 20021106-2
terminfo 5.4_20041009-1
texinfo 4.8-1
w32api 3.5-1
wget 1.10.2-1
which 1.6-1
zlib 1.2.2-2
BraveDog
Posts: 29
Joined: Thu Dec 30, 2004 1:16 am
Location: Cleveland

Post by BraveDog »

Yes,
The cygwin 1.5.19-4 should be at 1.5.18-1.
The two most important packages to have at the right version are coreutils and cygwin.
User avatar
evilo
Posts: 230
Joined: Thu Apr 22, 2004 8:40 pm
Contact:

Post by evilo »

it's getting worst and worst on my side...

at this point I should better start with a fresh install... damn cygwin !
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

It got worse for me too, so i chose to go with a fresh install with the suggested packages and so far so good, its been building for well over an hour so I think its past the point of where I got the errors last time.

I will keep you updated.
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

Thanks Bravedog, it was alot more painful then expected but it finally installed.
User avatar
evilo
Posts: 230
Joined: Thu Apr 22, 2004 8:40 pm
Contact:

Post by evilo »

hmm...

I must admit that I lack motivation to retry the whole thing on my laptop...

but ok, I miss my toolchain at work !!

thx bravedog, i'll retry asap :)

[EDIT]

Ok, I finally have it working on my laptop, so.. back on tracks !!
thank you Bravedog !
yostane
Posts: 4
Joined: Tue Mar 21, 2006 6:47 am

gmake?

Post by yostane »

when I enter this :
./toolchain.sh
it says
./toolchain.sh line 68 : gmake : command not found
please help me
bbchazz
Posts: 34
Joined: Thu Jan 13, 2005 12:38 am

Post by bbchazz »

Im not an expert but i think gmake is the equivilant of cygwin make command.

Is this your first time trying to set it up? Maybe when you install cygwin the 'make' package wasn't installed.
User avatar
Drakonite
Site Admin
Posts: 989
Joined: Sat Jan 17, 2004 1:30 am
Contact:

Post by Drakonite »

gmake is gnu make. In most(?) cases it is the default make, however there are other versions of make that may be used on some systems and the behavior isn't always the same. By using 'gmake' it is insuring that gnu make will be used, insuring that the behavior will be as expected.

cygwin sucks
Shoot Pixels Not People!
Makeshift Development
neovegeto
Posts: 1
Joined: Sun Apr 23, 2006 3:33 am

dev-c++ proc magic mismatch detected

Post by neovegeto »

Hi all,

some days ago all worked fine with my installation of cygwin, toolchain, dev-c++...

since then i didnt do any update on those components!

today i tryed to compile my project and it failed with following message:

################
Compiler: PSP
Executing make...
make.exe kxploit -f "Makefile" all
psp-g++ -I. -ID:/Programme/Cygwin/usr/local/pspdev/psp/sdk/include -O0 -G0 -Wall -I"D:\Programme\Cygwin\usr\local\pspdev\include" -I"D:\Programme\Cygwin\usr\local\pspdev\psp\include\freetype2" -I. -ID:/Programme/Cygwin/usr/local/pspdev/psp/sdk/include -O0 -G0 -Wall -I"D:\Programme\Cygwin\usr\local\pspdev\include" -I"D:\Programme\Cygwin\usr\local\pspdev\psp\include\freetype2" -fno-exceptions -fno-rtti -c -o read.o read.cpp

D:\Programme\Cygwin\usr\local\pspdev\bin\psp-g++.exe (3324): *** proc magic mismatch detected - 0xC87757A7/0xD079E02.
This problem is probably due to using incompatible versions of the cygwin DLL.
Search for cygwin1.dll using the Windows Start->Find/Search facility
and delete all but the most recent version. The most recent version *should*
reside in x:\cygwin\bin, where 'x' is the drive on which you have
installed the cygwin distribution. Rebooting is also suggested if you
are unable to find another cygwin DLL.
make.exe: *** [read.o] Error 5

Execution terminated
################


Now I searched the dll and there was only one the old one (I also searched for hidden ones).

Does anyone has a solution for this problem? Can it be that any other Software i Installend during this time could have corrupted my installation? Does it realy has to do with cygwin1.dll or something else.

Thanks in advance

Edit:

I just tryed to unregister cygwin1.dll and it gave me an error message (in german...) that one pointer points to 0x0000000 and that it cant run "written" in memory.
I wonder if my dll got corrupted due to any harddisk problem...

Edit final solved:

Ok its gay realy: i searched with windows search for cygwin1.dll also for hidden files = it didnt find it. Then i tryed to reinstall the cygwin component (only) then it said in c:/WINDOWS/system32/ is a cygwin1.dll that cant be deleted. then i tryed with cmd, of cousre there was no such file showed by cmd. then i started cygwin went to the folder and type rm -f cygwin1.dll and it is removed. then reinstall cygwin component now it works again.

Conclusion any program i installed recently must have out a different cygwin1.dll in system32 folder.

perhaps this helps someone.

BTW: bow to the people that contribute this great work pspsdk/toolchain
bukarkimaster
Posts: 6
Joined: Thu Aug 10, 2006 9:03 pm

Post by bukarkimaster »

im new to developing code 4 ps2 and was wondering what cmds do i have to type in to get cygwin to create .elf files?


thanks ppl:P
I live on a deserted spoon:P
frcol
Posts: 20
Joined: Wed Aug 02, 2006 7:46 am
Location: Brazil

Post by frcol »

BraveDog wrote:I downgraded the following packages:
* cygwin : from 1.5.19-4 to 1.5.18-1
* coreutils : from 5.93-3 to 5.3.0-9
* findutils: from 4.2.27-1 to 4.3.25-2
* sed : from 4.1.5-1 to 4.1.4-1
I downgraded the following packages

* cygwin : from (1.5.21-2) to 1.5.18-1
* coreutils : from (5.97-1) to 5.3.0-9
* findutils: from (4.3.0-2) to 4.2.25-2
* sed : from (4.1.5-2) to 4.1.4-1

and I receive something like that:
Windows prompt: ""it Couldn't possible to find the point of entrance of the procedure "futimes" in the lib of dinamic cygwin1.dll"

15:12:35 (22.92 KB/s) - `binutils-2.14.tar.gz' saved [14269432]
./toolchain.sh: line 144: cd: binutils-2.14: No such file or directory
can't find file to patch at input line 9
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: config.sub
|===============================================
|RCS file: /home/ps2cvs/binutils-2.14/config.sub,v
|retrieving revision 1.1.1.1
|retrieving revision 1.2
|diff -b -u -r1.1.1.1 -r1.2
|--- config.sub 1 Dec 2004 04:06:27 -0000 1.1.1.1
|+++ config.sub 1 Dec 2004 04:28:01 -0000 1.2
--------------------------
File to patch:

time = 00:07min
===========================================

Can anybody help me???
sincodes
Posts: 2
Joined: Wed Sep 13, 2006 4:43 pm

Still having cygwin package issue

Post by sincodes »

The Cygwin still having the same error with the newer package. Is there anyone know which package caused the issue. Any specific tricks to get rid of of it.
/tmp/ps2dev/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3/include/bits/locale_facets.tc
c: In
member function `_InIter std::money_get<_CharT, _InIter>::do_get(_InIter,
_InIter, bool, std::ios_base&, std::_Ios_Iostate&, std::basic_string<_CharT,

std::char_traits<_CharT>, std::allocator<_CharT> >&) const [with _CharT =
char, _InIter = std::istreambuf_iterator<char, std::char_traits<char> >]':
../../../../libstdc++-v3/src/locale-inst.cc:47: instantiated from here
/tmp/ps2dev/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3/include/bits/locale_facets.tc
c:1167: Internal
compiler error in schedule_block, at haifa-sched.c:1714
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
gmake[3]: *** [locale-inst.lo] Error 1
gmake[3]: Leaving directory `/tmp/ps2dev/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3/
src'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/tmp/ps2dev/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3'

gmake[1]: *** [all-recursive-am] Error 2
gmake[1]: Leaving directory `/tmp/ps2dev/gcc-3.2.2/build-ee-c++/ee/libstdc++-v3'

gmake: *** [all-target-libstdc++-v3] Error 2
ERROR BUILDING GCC (gcc-3.2.2 ee C++)
Below are all the packages on my Cygwin setup.
Package Version
_update-info-dir 00470-1
alternatives 1.3.29a-1
ash 20040127-3
autoconf2.1 2.13-3
base-files 3.7-1
base-passwd 2.2-1
bash 3.2.5-7
binutils 20060817-1
bison 2.3-1
bzip2 1.0.3-2
coreutils 6.6-2
crypt 1.1-1
cygutils 1.3.0-1
cygwin 1.5.22-1
cygwin-doc 1.4-4
diffutils 2.8.7-1
editrights 1.01-1
expat 1.95.8-1
findutils 4.3.2-1
flex 2.5.4a-3
gawk 3.1.5-4
gcc-core 3.4.4-1
gcc-g++ 3.4.4-1
gcc-mingw-core 20050522-1
gcc-mingw-g++ 20050522-1
gdbm 1.8.3-8
gettext 0.15-1
gperf 2.7.2-1
grep 2.5.1a-2
groff 1.18.1-2
gzip 1.3.5-2
less 381-1
libapr1 1.2.7-1
libaprutil1 1.2.7-1
libbz2_1 1.0.3-2
libdb4.2 4.2.52-1
libdb4.3 4.3.28-1
libgdbm 1.8.0-5
libgdbm-devel 1.8.3-8
libgdbm3 1.8.3-3
libgdbm4 1.8.3-8
libiconv2 1.11-1
libintl 0.10.38-3
libintl1 0.10.40-1
libintl2 0.12.1-3
libintl3 0.14.5-1
libintl8 0.15-1
libncurses5 5.2-1
libncurses6 5.2-8
libncurses7 5.3-4
libncurses8 5.5-3
libneon25 0.25.5-1
libpcre0 6.6-1
libpopt0 1.6.4-4
libreadline4 4.1-2
libreadline5 4.3-5
libreadline6 5.2-3
libxml2 2.6.26-1
login 1.9-7
m4 1.4.8-1
make 3.81-1
man 1.6d-2
mingw-runtime 3.11-1
mktemp 1.5-4
ncurses 5.5-3
openssl 0.9.8d-1
openssl097 0.9.7l-1
patch 2.5.8-8
perl 5.8.7-5
run 1.1.10-1
sed 4.1.5-2
subversion 1.3.2-1
tar 1.16-1
termcap 20050421-1
terminfo 5.5_20061104-1
texinfo 4.8-3
w32api 3.8-1
wget 1.10.2-2
which 1.7-1
zlib 1.2.3-2
noireau
Posts: 5
Joined: Tue Jul 11, 2006 3:28 am

Post by noireau »

a question... where can i download the old packages? i cant find the version that you say.... only newer versions...
J.F.
Posts: 2906
Joined: Sun Feb 22, 2004 11:41 am

Post by J.F. »

Read the whole thread. How to downgrade CygWin packages is towards the top.
mikesp
Posts: 4
Joined: Thu Jul 08, 2004 3:42 am

Post by mikesp »

Maybe it can be useful:
List of OLD Cygwin builds
ftp://www.fruitbat.org/pub/cygwin/circa/index.html

link to 1.5.18-1
ftp://www.fruitbat.org/pub/cygwin/circa ... /16/020006

Just grab setup.ini and download corresponding files.
iderlei
Posts: 1
Joined: Sat May 05, 2007 11:11 am

Post by iderlei »

Here is a working link

ed2k://|file|[Cygwin].cygwin-cd-release-20051102-(1.5.18-1).iso|1194323968|F43228693B5E32C2581B93F1481D0217|h=UMPATFPVS4IOP2IT2TPOPFD2KARCQCML|/
cosmito
Posts: 307
Joined: Sun Mar 04, 2007 4:26 am
Location: Portugal
Contact:

Post by cosmito »

Go emule, go !!!!

thanks iderlei
let's see if it works for me.
cosmito
Posts: 307
Joined: Sun Mar 04, 2007 4:26 am
Location: Portugal
Contact:

Post by cosmito »

@iderlei,

the old cygwin from the emule link worked just fine. Thanks
Post Reply